plugins {
    id 'java'
    id 'org.springframework.boot' version '2.7.10'
    id 'io.spring.dependency-management' version '1.0.15.RELEASE'
}

group = 'com.inkasso'
version = '1.0.18-prod'
sourceCompatibility = '1.8'

configurations {
    compileOnly {
        extendsFrom annotationProcessor
    }
}


    repositories {
        flatDir {
            dirs 'lib'
        }
        maven { url 'https://maven.aliyun.com/nexus/content/groups/public/' }
        maven{ url 'https://maven.aliyun.com/nexus/content/repositories/jcenter'}
    }


dependencies {
    compileOnly 'org.projectlombok:lombok'
    annotationProcessor 'org.projectlombok:lombok'
    testImplementation 'org.springframework.boot:spring-boot-starter-test'


    implementation 'net.lingala.zip4j:zip4j:2.7.0'
    implementation 'org.freemarker:freemarker:2.3.31'

 	implementation ('com.aliyun:dysmsapi20170525:2.0.24'){
 	    exclude group: "pull-parser", module: "pull-parser"
 	}

    implementation 'org.springframework.boot:spring-boot-starter-mail'

    implementation 'org.springframework.boot:spring-boot-starter-data-redis'
    implementation 'org.springframework.boot:spring-boot-starter-web'
    implementation 'com.baomidou:mybatis-plus:3.5.3.1'
    //implementation 'org.hibernate.validator:hibernate-validator:8.0.1.Final'
    implementation 'cn.hutool:hutool-all:5.8.20'
    implementation 'com.auth0:java-jwt:4.4.0'
    implementation 'com.google.guava:guava:31.1-jre'
    implementation 'com.alibaba:fastjson:2.0.37'
    implementation 'com.alibaba:druid:1.2.18'
    implementation 'mysql:mysql-connector-java:8.0.11'
    implementation 'org.springframework.boot:spring-boot-starter-aop'
    implementation 'org.springframework.boot:spring-boot-starter-jdbc'
    implementation 'net.coobird:thumbnailator:0.4.20'
    implementation 'com.github.wechatpay-apiv3:wechatpay-apache-httpclient:0.4.9'
    implementation 'org.apache.commons:commons-lang3:3.13.0'
    implementation 'org.apache.httpcomponents:httpmime:4.5.3'
    implementation 'org.jodd:jodd-core:3.7.1'
    implementation 'redis.clients:jedis:2.9.0'
    implementation 'org.springframework.boot:spring-boot-starter-validation'
    implementation 'com.google.code.gson:gson:2.7'
    implementation fileTree(dir: 'lib', includes: ['*.jar'])
    implementation("com.github.pagehelper:pagehelper-spring-boot-starter:1.3.0")
    implementation("commons-cli:commons-cli:1.2")
    implementation('commons-io:commons-io:2.11.0')
    implementation("commons-beanutils:commons-beanutils:1.9.3")
    implementation("org.apache.poi:poi:5.2.1")
    implementation("org.apache.poi:poi-ooxml:5.2.1")
    implementation("org.apache.poi:poi-scratchpad:5.2.1")
    implementation("com.deepoove:poi-tl:1.11.1"){
        exclude module : 'poi'
        exclude module : 'poi-ooxml'
        exclude module : 'poi-scratchpad'
    }
    implementation ('ws.schild:jave-all-deps:3.3.1'){
        exclude group:'ws.schild',module:'jave-nativebin-win32'
        exclude group:'ws.schild',module:'jave-nativebin-linux32'
        exclude group:'ws.schild',module:'jave-nativebin-linux64'
        exclude group:'ws.schild',module:'jave-nativebin-osx64'
        exclude group:'ws.schild',module:'jave-nativebin-osxm1'
        exclude group:'ws.schild',module:'jave-nativebin-linux-arm32'
        exclude group:'ws.schild',module:'jave-nativebin-linux-arm64'
    }
    implementation("org.openoffice:juh:3.0.1")
    implementation("org.openoffice:jurt:3.0.1")
    implementation("org.openoffice:ridl:3.0.1")
    implementation("org.openoffice:unoil:3.0.1")
    implementation("com.documents4j:documents4j-transformer-msoffice-word:1.1.5")
    implementation("com.documents4j:documents4j-local:1.1.5")
    implementation("com.itextpdf:itextpdf:5.1.2")
    implementation("com.itextpdf:itext-asian:5.1.1")
    implementation("org.jsoup:jsoup:1.12.1")

    implementation("io.seata:seata-spring-boot-starter:1.8.0")

    /*code generated*/
	testImplementation('com.baomidou:mybatis-plus-generator:3.4.0')


}
